## mlucas 14.1

=== debian/changelog ===
mlucas (14.1-2) unstable; urgency=medium

  * RC bug fix release (Closes: #860662), split big test into smaller ones
    to avoid exhausting system resources.
  * Backport fix for undefined behavior from upstream.

 -- Alex Vong <alexvong1995@gmail.com>  Mon, 24 Apr 2017 16:16:28 +0800

mlucas (14.1-1) unstable; urgency=low

  * Initial release (Closes: #786656)

 -- Alex Vong <alexvong1995@gmail.com>  Thu, 27 Aug 2015 22:04:58 +0800
