=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
opts=pgpsigurlmangle=s/$/.sig/ \
http://hogranch.com/mayer/src/C/mlucas-(.*)\.tar\.xz
