## mlucas 17.1

=== debian/changelog ===
mlucas (17.1-3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:17 +0100

mlucas (17.1-3ubuntu1) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:33:02 +0100

mlucas (17.1-3) unstable; urgency=medium

  * RC bug fix release (Closes: #920835), fix missing binary name in wrapper
    script and undefined macro error in powerpc build.
  * Add architecture hurd-i386.

 -- Alex Vong <alexvong1995@gmail.com>  Fri, 01 Feb 2019 05:10:29 +0800

mlucas (17.1-2) unstable; urgency=medium

  * RC bug fix release (Closes: #920834), fix c identifier typo.
  * Display verbose test log to assist debugging #920835.

 -- Alex Vong <alexvong1995@gmail.com>  Wed, 30 Jan 2019 23:23:24 +0800

mlucas (17.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove build dependency autogen.
  * Add dependency python.
  * Add architecture arm64 and s390x (Closes: #871593).
  * Bump debhelper compat version to 12.
  * Update control, copyright, docs, README, rules, signing key and watch.
  * Use HTTPS in URLs.
  * Remove doc-base and obsolete patches.

 -- Alex Vong <alexvong1995@gmail.com>  Sat, 26 Jan 2019 17:13:06 +0800
