=== debian/control ===
Source: mlucas
Section: math
Priority: optional
Maintainer: Alex Vong <alexvong1995@gmail.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0.1
Homepage: https://www.mersenneforum.org/mayer/README.html
Vcs-Git: https://notabug.org/alexvong1995/mlucas.git
Vcs-Browser: https://notabug.org/alexvong1995/mlucas

Package: mlucas
Architecture: amd64 armel armhf arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, python2
Description: program to perform Lucas-Lehmer test on a Mersenne number
 mlucas is an open-source (and free/libre) program for performing Lucas-Lehmer
 test on prime-exponent Mersenne numbers, that is, integers of the form
 2 ^ p - 1, with prime exponent p. In short, everything you need to search for
 world-record Mersenne primes! It has been used in the verification of various
 Mersenne primes, including the 45th, 46th, 48th, 49th and 50th found Mersenne
 prime.
 .
 You may use it to test any suitable number as you wish, but it is preferable
 that you do so in a coordinated fashion, as part of the Great Internet
 Mersenne Prime Search (GIMPS) <https://www.mersenne.org/primes/>.
