## mlucas 20.1.1

=== debian/changelog ===
mlucas (20.1.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: 
    - disable avx512 on x86_64. (Closes: #1084045)
    - disable simd on arm64. (Closes: #1027776)

 -- Bill Allombert <ballombe@debian.org>  Sat, 05 Oct 2024 12:54:33 +0200

mlucas (20.1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Set Architecture to any.
  * debian/rules: disable sse2 on i386

 -- Bill Allombert <ballombe@debian.org>  Sat, 28 Sep 2024 17:19:40 +0200

mlucas (20.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #1080048)
    Mlucas author, Mr Ernst Mayer, sadly passed away in 2023,
    see <https://www.mersenneforum.org/node/22279?t=28890>
    He will be missed. Consider this package as a tribute to him.
  * New patch fopen-on-arm.patch from Steve Langasek (Closes: #1014547)
  * debian/control:
    - Fix maintainer address. (Closes: #1013910)
  * debian/rules:
    - Apply patch from Steve Langasek (Closes: #1027776)
    - build with -Wno-incompatible-pointer-types (Closes: #1081082)

 -- Bill Allombert <ballombe@debian.org>  Fri, 27 Sep 2024 22:27:58 +0200

mlucas (20.1.1-1) unstable; urgency=medium

  * New upstream release.
  * RC bug fix release (Closes: #957547), fix FTBFS with GCC.
  * Add dependency python3 and remove dependency python. (Closes: #945666).
  * Add dependency libgmp-dev.
  * Bump debhelper compat version to 13.
  * Bump standards version to 4.6.0.1.
  * Update maintainer address.
  * Document Rules-Requires-Root.
  * Remove all patches as they should have been incorporated by upstream.
  * Add new entry in docs.
  * Document issues to be fixed by adding FIXME comment in README and watch.
  * Update copyright and signing key.

 -- Alex Vong <alexvong1995-AT-protonmail-DOT-com@NOSPAM.invalid>  Mon, 20 Dec 2021 23:07:38 +0000
