=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: mlucas
 Section: math
 Priority: optional
-Maintainer: Alex Vong <alexvong1995@gmail.com>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0.1
+Maintainer: Alex Vong <alexvong.k82jr@simplelogin.com>
+Build-Depends: debhelper-compat (= 13), libgmp-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
 Homepage: https://www.mersenneforum.org/mayer/README.html
 Vcs-Git: https://notabug.org/alexvong1995/mlucas.git
 Vcs-Browser: https://notabug.org/alexvong1995/mlucas
 
 Package: mlucas
 Architecture: amd64 armel armhf arm64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}, python2
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3
 Description: program to perform Lucas-Lehmer test on a Mersenne number
  mlucas is an open-source (and free/libre) program for performing Lucas-Lehmer
  test on prime-exponent Mersenne numbers, that is, integers of the form
