=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 # configure script detects optimization and debbuging flags automatically
 export DEB_CFLAGS_MAINT_STRIP = -O2 -g
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+CFLAGS += -Wno-incompatible-pointer-types
 
 # main packaging script based on dh7 syntax
 %:
@@ -23,4 +26,15 @@
 	dh_autoreconf ./bootstrap
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-mlucas-default-path
+ifeq ($(DEB_TARGET_ARCH),amd64)
+	dh_auto_configure -- --enable-mlucas-default-path --enable-builds=generic-c,sse2,avx,avx2
+else ifeq ($(DEB_TARGET_ARCH), i386)
+	dh_auto_configure -- --enable-mlucas-default-path --enable-builds=generic-c
+else ifeq ($(DEB_TARGET_ARCH), arm64)
+	dh_auto_configure -- --enable-mlucas-default-path --enable-builds=generic-c
+else
+	dh_auto_configure -- --enable-mlucas-default-path 
+endif
+
+override_dh_auto_test:
+	dh_auto_test
