=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,5 @@
-# It's a sin to parse html with regex:
+# FIXME: stop using regex to parse html and improve readability
 # https://stackoverflow.com/questions/1732348/regex-match-open-tags-except-xhtml-self-contained-tags
-# But currently we've no choice since uscan doesn't support custom downloader.
-# Moreover, we use a hack of passing filename as query string.
 
 version=4
